<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: CuTest/TesterBase.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_606de1e47da08b0d16e497ed74042ebe.html">CuTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">TesterBase.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;list&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TesterBase.h:</div>
<div class="dyncontent">
<div class="center"><img src="TesterBase_8h__incl.png" border="0" usemap="#CuTest_2TesterBase_8h" alt=""/></div>
<map name="CuTest_2TesterBase_8h" id="CuTest_2TesterBase_8h">
<area shape="rect" title=" " alt="" coords="104,5,249,32"/>
<area shape="rect" title=" " alt="" coords="5,80,60,107"/>
<area shape="rect" title=" " alt="" coords="84,80,123,107"/>
<area shape="rect" title=" " alt="" coords="147,80,206,107"/>
<area shape="rect" title=" " alt="" coords="231,80,309,107"/>
<area shape="rect" title=" " alt="" coords="334,80,401,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="TesterBase_8h__dep__incl.png" border="0" usemap="#CuTest_2TesterBase_8hdep" alt=""/></div>
<map name="CuTest_2TesterBase_8hdep" id="CuTest_2TesterBase_8hdep">
<area shape="rect" title=" " alt="" coords="379,5,524,32"/>
<area shape="rect" href="TesterBase_8cpp.html" title=" " alt="" coords="5,87,164,114"/>
<area shape="rect" href="LinkedListTester_8h.html" title=" " alt="" coords="188,80,355,121"/>
<area shape="rect" href="QueueTester_8h.html" title=" " alt="" coords="379,80,524,121"/>
<area shape="rect" href="SmartDynamicArrayTester_8h.html" title=" " alt="" coords="548,80,771,121"/>
<area shape="rect" href="StackTester_8h.html" title=" " alt="" coords="794,80,935,121"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="414,169,489,196"/>
</map>
</div>
</div>
<p><a href="TesterBase_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcuTest_1_1TesterBase.html">cuTest::TesterBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">The base class for unit tests.  <a href="classcuTest_1_1TesterBase.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcuTest_1_1TestListItem.html">cuTest::TestListItem</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A structure that contains test data.  <a href="structcuTest_1_1TestListItem.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacecuTest"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecuTest.html">cuTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
